function install

if exist('csim') ~= 3
  cd src
  fprintf('Compiling CSIM (this may take several minutes) ...');
  if  str2num(version('-release')) < 13
    if isunix
      mex -O -f cxxopts.sh csim.cpp csimclass.cpp csimmex.cpp randgen.cpp advanceable.cpp analogteacher.cpp cbhhouneuron.cpp cbhhouineuron.cpp staticspikingsynapse.cpp dynamicspikingsynapse.cpp dynamicglutamatesynapse.cpp dynamicglutamatesynapsesynchan.cpp staticglutamatesynapse.cpp staticglutamatesynapsesynchan.cpp glutamatesynapse.cpp glutamatesynapsesynchan.cpp staticstdpsynapse.cpp dynamicstdpsynapse.cpp stdpsynapse.cpp analogneuron.cpp analogsynapse.cpp staticanalogsynapse.cpp lifneuron.cpp lifneuronsynchan.cpp network.cpp neuron.cpp spikingneuron.cpp spikinginputneuron.cpp spikingsynapse.cpp spikingteacher.cpp synapse.cpp teacher.cpp recorder.cpp mexrecorder.cpp csimerror.cpp analoginputneuron.cpp sigmoidalneuron.cpp linearneuron.cpp cbneuron.cpp ionchannel.cpp viongate.cpp conciongate.cpp iongate.cpp activechannel.cpp ahp_channel.cpp synapticchannel.cpp mexnetwork.cpp forceable.cpp hh_squid_channels.cpp hh_neuron.cpp extinputneuron.cpp extoutsigmoidalneuron.cpp extoutlinearneuron.cpp generic_ion_gates.cpp specific_ion_channels.cpp specific_neurons.cpp specificouneurons.cpp activecachannel.cpp cbneuronst.cpp extoutlifneuron.cpp csiminputclass.cpp membranepatch.cpp membranepatchsimple.cpp ionbuffer.cpp ifbneuron.cpp izhi_neuron.cpp lifburstneuron.cpp filterfunction.cpp analogfilter.cpp triangularanalogfilter.cpp gaussiananalogfilter.cpp useranalogfilter.cpp spikefilter.cpp expspikefilter.cpp alphaspikefilter.cpp countspikefilter.cpp preprocessor.cpp pcapreprocessor.cpp linearpreprocessor.cpp discretizationpreprocessor.cpp mean_std_preprocessor.cpp algorithm.cpp linear_regression.cpp linear_classification.cpp physicalmodel.cpp armmodel.cpp readout.cpp analogfeedbackneuron.cpp cbstouneuron.cpp staticanalogcbsynapse.cpp staticspikingcbsynapse.cpp dynamicspikingcbsynapse.cpp TraubsHHNeuron.cpp 
    elseif ispc
      mex -O -f mexopts.bat csim.cpp csimclass.cpp csimmex.cpp randgen.cpp advanceable.cpp analogteacher.cpp cbhhouneuron.cpp cbhhouineuron.cpp staticspikingsynapse.cpp dynamicspikingsynapse.cpp dynamicglutamatesynapse.cpp dynamicglutamatesynapsesynchan.cpp staticglutamatesynapse.cpp staticglutamatesynapsesynchan.cpp glutamatesynapse.cpp glutamatesynapsesynchan.cpp staticstdpsynapse.cpp dynamicstdpsynapse.cpp stdpsynapse.cpp analogneuron.cpp analogsynapse.cpp staticanalogsynapse.cpp lifneuron.cpp lifneuronsynchan.cpp network.cpp neuron.cpp spikingneuron.cpp spikinginputneuron.cpp spikingsynapse.cpp spikingteacher.cpp synapse.cpp teacher.cpp recorder.cpp mexrecorder.cpp csimerror.cpp analoginputneuron.cpp sigmoidalneuron.cpp linearneuron.cpp cbneuron.cpp ionchannel.cpp viongate.cpp conciongate.cpp iongate.cpp activechannel.cpp ahp_channel.cpp synapticchannel.cpp mexnetwork.cpp forceable.cpp hh_squid_channels.cpp hh_neuron.cpp extinputneuron.cpp extoutsigmoidalneuron.cpp extoutlinearneuron.cpp generic_ion_gates.cpp specific_ion_channels.cpp specific_neurons.cpp specificouneurons.cpp activecachannel.cpp cbneuronst.cpp extoutlifneuron.cpp csiminputclass.cpp membranepatch.cpp membranepatchsimple.cpp ionbuffer.cpp ifbneuron.cpp izhi_neuron.cpp lifburstneuron.cpp filterfunction.cpp analogfilter.cpp triangularanalogfilter.cpp gaussiananalogfilter.cpp useranalogfilter.cpp spikefilter.cpp expspikefilter.cpp alphaspikefilter.cpp countspikefilter.cpp preprocessor.cpp pcapreprocessor.cpp linearpreprocessor.cpp discretizationpreprocessor.cpp mean_std_preprocessor.cpp algorithm.cpp linear_regression.cpp linear_classification.cpp physicalmodel.cpp armmodel.cpp readout.cpp analogfeedbackneuron.cpp cbstouneuron.cpp staticanalogcbsynapse.cpp staticspikingcbsynapse.cpp dynamicspikingcbsynapse.cpp TraubsHHNeuron.cpp 
    else
      disp('Unknown operating system! Terminated.'); return;
    end
  else
    if isunix
      mex -O csim.cpp csimclass.cpp csimmex.cpp randgen.cpp advanceable.cpp analogteacher.cpp cbhhouneuron.cpp cbhhouineuron.cpp staticspikingsynapse.cpp dynamicspikingsynapse.cpp dynamicglutamatesynapse.cpp dynamicglutamatesynapsesynchan.cpp staticglutamatesynapse.cpp staticglutamatesynapsesynchan.cpp glutamatesynapse.cpp glutamatesynapsesynchan.cpp staticstdpsynapse.cpp dynamicstdpsynapse.cpp stdpsynapse.cpp analogneuron.cpp analogsynapse.cpp staticanalogsynapse.cpp lifneuron.cpp lifneuronsynchan.cpp network.cpp neuron.cpp spikingneuron.cpp spikinginputneuron.cpp spikingsynapse.cpp spikingteacher.cpp synapse.cpp teacher.cpp recorder.cpp mexrecorder.cpp csimerror.cpp analoginputneuron.cpp sigmoidalneuron.cpp linearneuron.cpp cbneuron.cpp ionchannel.cpp viongate.cpp conciongate.cpp iongate.cpp activechannel.cpp ahp_channel.cpp synapticchannel.cpp mexnetwork.cpp forceable.cpp hh_squid_channels.cpp hh_neuron.cpp extinputneuron.cpp extoutsigmoidalneuron.cpp extoutlinearneuron.cpp generic_ion_gates.cpp specific_ion_channels.cpp specific_neurons.cpp specificouneurons.cpp activecachannel.cpp cbneuronst.cpp extoutlifneuron.cpp csiminputclass.cpp membranepatch.cpp membranepatchsimple.cpp ionbuffer.cpp ifbneuron.cpp izhi_neuron.cpp lifburstneuron.cpp filterfunction.cpp analogfilter.cpp triangularanalogfilter.cpp gaussiananalogfilter.cpp useranalogfilter.cpp spikefilter.cpp expspikefilter.cpp alphaspikefilter.cpp countspikefilter.cpp preprocessor.cpp pcapreprocessor.cpp linearpreprocessor.cpp discretizationpreprocessor.cpp mean_std_preprocessor.cpp algorithm.cpp linear_regression.cpp linear_classification.cpp physicalmodel.cpp armmodel.cpp readout.cpp analogfeedbackneuron.cpp cbstouneuron.cpp staticanalogcbsynapse.cpp staticspikingcbsynapse.cpp dynamicspikingcbsynapse.cpp TraubsHHNeuron.cpp 
    elseif ispc
      mex -O csim.cpp csimclass.cpp csimmex.cpp randgen.cpp advanceable.cpp analogteacher.cpp cbhhouneuron.cpp cbhhouineuron.cpp staticspikingsynapse.cpp dynamicspikingsynapse.cpp dynamicglutamatesynapse.cpp dynamicglutamatesynapsesynchan.cpp staticglutamatesynapse.cpp staticglutamatesynapsesynchan.cpp glutamatesynapse.cpp glutamatesynapsesynchan.cpp staticstdpsynapse.cpp dynamicstdpsynapse.cpp stdpsynapse.cpp analogneuron.cpp analogsynapse.cpp staticanalogsynapse.cpp lifneuron.cpp lifneuronsynchan.cpp network.cpp neuron.cpp spikingneuron.cpp spikinginputneuron.cpp spikingsynapse.cpp spikingteacher.cpp synapse.cpp teacher.cpp recorder.cpp mexrecorder.cpp csimerror.cpp analoginputneuron.cpp sigmoidalneuron.cpp linearneuron.cpp cbneuron.cpp ionchannel.cpp viongate.cpp conciongate.cpp iongate.cpp activechannel.cpp ahp_channel.cpp synapticchannel.cpp mexnetwork.cpp forceable.cpp hh_squid_channels.cpp hh_neuron.cpp extinputneuron.cpp extoutsigmoidalneuron.cpp extoutlinearneuron.cpp generic_ion_gates.cpp specific_ion_channels.cpp specific_neurons.cpp specificouneurons.cpp activecachannel.cpp cbneuronst.cpp extoutlifneuron.cpp csiminputclass.cpp membranepatch.cpp membranepatchsimple.cpp ionbuffer.cpp ifbneuron.cpp izhi_neuron.cpp lifburstneuron.cpp filterfunction.cpp analogfilter.cpp triangularanalogfilter.cpp gaussiananalogfilter.cpp useranalogfilter.cpp spikefilter.cpp expspikefilter.cpp alphaspikefilter.cpp countspikefilter.cpp preprocessor.cpp pcapreprocessor.cpp linearpreprocessor.cpp discretizationpreprocessor.cpp mean_std_preprocessor.cpp algorithm.cpp linear_regression.cpp linear_classification.cpp physicalmodel.cpp armmodel.cpp readout.cpp analogfeedbackneuron.cpp cbstouneuron.cpp staticanalogcbsynapse.cpp staticspikingcbsynapse.cpp dynamicspikingcbsynapse.cpp TraubsHHNeuron.cpp 
    else
      disp('Unknown operating system! Terminated.'); return;
    end
  end
  copyfile(['csim.' mexext],'..');
  delete(['csim.' mexext]);
  cd ..
  v=csim('version');
  fprintf('\b\b\b\b. Done.\nCSIM %s successfully compiled.\n',v);
else
  fprintf('csim.%s exists. No compilation necessary.\n',mexext);  
end

fprintf('CSIM *succesfully* installed.\n\n');
